# ES 7

import matplotlib.pyplot as plt
import numpy as np


def es7(xmin, xmax, n, a , b, show):

    x = np.linspace(xmin,xmax,n)
    y = a*np.sin(x**3)+b*np.cos(x**4)

    if (show):
        plt.plot(x,y)
        plt.xlabel('x')
        plt.ylabel('f(x)')
        plt.show()
        
    else:
        return x,y


##es7(-1, 3, 5001, 1.2, 0.9, True)
##es7(-1, 3, 10, 0.8, 0.7, False)

